Subject: Re: bug#6422: [describe-char PATCH 1/2] describe-char: add missing space in Unicode "Decomposition" line

From: Glenn Morris <[email-masked]>
Date: Fri, 18 Jun 2010 22:32:52 -0400

Gustav Hållberg wrote:

> If there is an "info" field, make sure to add a space after it.

I believe the minimum version of this change is just

--- lisp/descr-text.el	2010-06-03 15:34:35 +0000
+++ lisp/descr-text.el	2010-06-18 19:48:07 +0000
@@ -301,7 +301,7 @@
 				   (lambda (arg)
 				     (string (string-to-number arg 16)))
 				   parts " "))
-		      (concat info parts))))
+		      (concat info (if info " ") parts))))
 	       (list "Decimal digit value"
 		     (nth 5 fields))
 	       (list "Digit value"

so that's what I installed.

I would have found an example very helpful, eg

emacs -Q --eval \
  '(setq describe-char-unicodedata-file "admin/unidata/UnicodeData.txt")'

M-x ucs-insert RET 0132 RET
C-u C-x =